> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get accountsmanagers

> Retrieves all Managers for the Application.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml get /accounts/managers
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /accounts/managers:
    get:
      tags:
        - AccountService
      description: Retrieves all Managers for the Application.
      operationId: getManagers
      parameters: []
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  value:
                    managers:
                      - name: ...
                        sysidManager: 12345
                        sysidApplicationUser: 12345
                        sysidAccount: 12345
                      - name: ...
                        sysidManager: 12345
                        sysidApplicationUser: 12345
                        sysidAccount: 12345
              schema:
                $ref: '#/components/schemas/ManagerWrapper'
          description: >-
            ManagerWrapper

            returnType 
            com.agilquest.phoenix.shared.data.rest.wrapper.ManagerWrapper
components:
  schemas:
    ManagerWrapper:
      type: object
      title: ManagerWrapper
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            managers:
              type: array
              items:
                $ref: '#/components/schemas/Manager'
      example:
        managers:
          - name: ...
            sysidManager: 12345
            sysidApplicationUser: 12345
            sysidAccount: 12345
          - name: ...
            sysidManager: 12345
            sysidApplicationUser: 12345
            sysidAccount: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    Manager:
      type: object
      title: Manager
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            name:
              type: string
            sysidManager:
              type: integer
              format: int32
            sysidApplicationUser:
              type: integer
              format: int32
            sysidAccount:
              type: integer
              format: int32
      example:
        name: ...
        sysidManager: 12345
        sysidApplicationUser: 12345
        sysidAccount: 12345

````